For the complete documentation index, see llms.txt. You can also append .md to any page URL to get its markdown version.
Skip to main content
For the complete documentation index, see llms.txt.

Archiving API (1.0.0)

Download OpenAPI specification:Download

Introduction

The Signicat Archive API ensures long‑term integrity, legal compliance and easy access to signed and other documents requiring secure, tamper‑proof retention.

This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.

Get started

Before you can start making requests to this API, you need to learn how to connect to it. To do this, see the Connect to Signicat APIs Quick start guide.

Using this API

Audit logs

Use the Signicat Audit logs service to see documented evidence of the sequence of activities that have affected a system.

  • Access it: Signicat Dashboard > Settings > Audit logs
  • For information generic to all Signicat audit logs, see the general Audit logs documentation.

Errors

When you make an API call to Signicat and an error occurs, you will receive a response message with an error code.

  • For errors generic to all Signicat APIs, see the general Error codes documentation.

Events (callback)

Use the Signicat Events service to automatically receive information about when something happens in one of our services into your system.

  • Access it: Go to Signicat Dashboard > Settings > Events
  • For information generic to all Signicat events, see the general Events documentation.

Note: This is often referred to as callback.

Archive

Retrieves the collection of Archive resources.

Retrieves the collection of Archive resources.

Authorizations:
JWT
query Parameters
tags
string

Comma-separated list of tags

createdAtFrom
string

Filter objects created at or after this timestamp (inclusive). Date, for example 2026-01-01 or DateTime ISO 8601, for example 2026-01-01T00:00:00Z.

createdAtTo
string

Filter objects created at or before this timestamp (inclusive). Date, for example 2026-01-01 or DateTime ISO 8601, for example 2026-01-01T00:00:00Z.

updatedAtFrom
string

Filter objects updated at or after this timestamp (inclusive). Date, for example 2026-01-01 or DateTime ISO 8601, for example 2026-01-01T00:00:00Z.

updatedAtTo
string

Filter objects updated at or before this timestamp (inclusive). Date, for example 2026-01-01 or DateTime ISO 8601, for example 2026-01-01T00:00:00Z.

fileName
string <= 500 characters

Archive fileName

contentType
string <= 255 characters

application/pdf

state
string
Enum: "Expired" "Deleted" "Active"

Filter by archive object state.

keywords
string <= 500 characters

Single keyword

sort
string

Sorting expression. Supports multiple fields, comma-separated. Prefix with '-' for descending order (e.g., -createdAt). Prefix with '+'('%2B') for ascending order (e.g., %2BcreatedAt).

detailed
boolean

Default: false . If true, returns a more detailed representation of each object.

page
integer >= 1

Archive page

pageSize
integer [ 1 .. 1000 ]

Archive pageSize

Responses

Response samples

Content type
{
  • "totalItems": 0,
  • "pageSize": 0,
  • "currentPage": 0,
  • "items": [
    ]
}

Creates a Archive resource.

Creates a Archive resource.

Authorizations:
JWT
Request Body schema:
required

The new Archive resource

retentionPeriod
required
string <= 50 characters

The time period the resource should be archived. Format: “duration + unit”

tags
Array of strings <= 50 items
object
object (UploadedFileData)

Responses

Request samples

Content type
{
  • "retentionPeriod": "50d",
  • "tags": [
    ],
  • "keywords": {
    },
  • "file": {
    }
}

Response samples

Content type
{
  • "objectId": "93684e36-6f32-4845-9727-840c2d628673",
  • "status": "in_progress",
  • "retentionPeriod": "50d",
  • "tags": [
    ],
  • "keywords": {
    },
  • "file": {
    },
  • "createdAt": "2019-08-24T14:15:22Z",
  • "lastUpdatedAt": "2019-08-24T14:15:22Z",
  • "expiresAt": "2019-08-24T14:15:22Z"
}

Retrieves a Archive resource.

Retrieves a Archive resource.

Authorizations:
JWT
path Parameters
objectId
required
string

Archive identifier

Responses

Response samples

Content type
{
  • "objectId": "93684e36-6f32-4845-9727-840c2d628673",
  • "status": "in_progress",
  • "retentionPeriod": "50d",
  • "tags": [
    ],
  • "keywords": {
    },
  • "file": {
    },
  • "createdAt": "2019-08-24T14:15:22Z",
  • "lastUpdatedAt": "2019-08-24T14:15:22Z",
  • "expiresAt": "2019-08-24T14:15:22Z"
}

Removes the Archive resource.

Removes the Archive resource.

Authorizations:
JWT
path Parameters
objectId
required
string

Archive identifier

Responses

Updates the Archive resource.

Updates the Archive resource.

Authorizations:
JWT
path Parameters
objectId
required
string

Archive identifier

Request Body schema: application/json
required

The updated Archive resource

retentionPeriod
required
string <= 50 characters

The time period the resource should be archived. Format: “duration + unit”

tags
Array of strings <= 50 items
object

Responses

Request samples

Content type
application/json
{
  • "retentionPeriod": "50d",
  • "tags": [
    ],
  • "keywords": {
    }
}

Response samples

Content type
{
  • "objectId": "93684e36-6f32-4845-9727-840c2d628673",
  • "status": "in_progress",
  • "retentionPeriod": "50d",
  • "tags": [
    ],
  • "keywords": {
    },
  • "file": {
    },
  • "createdAt": "2019-08-24T14:15:22Z",
  • "lastUpdatedAt": "2019-08-24T14:15:22Z",
  • "expiresAt": "2019-08-24T14:15:22Z"
}

Archive Direct

Creates Archive resource with direct file upload

Creates a Archive Direct resource.

Authorizations:
JWT
header Parameters
signicat-archive-retention-period
required
string
Example: P1Y

The duration for which the archive object should be retained, specified in ISO 8601 duration format

signicat-archive-tags
string or null
Example: assure, dossier

A comma-separated list of tags associated with the archive object for categorization or search purposes.

signicat-archive-keywords
string or null
Example: {"color": "blue", "size": "M"}

JSON formatted string for storing additional information regarding the archive object.

content-disposition
required
string
Example: attachment; filename="filename.ext"

The Content-Disposition header specifying how the content should be handled. Mapped to the object field File.Name. Format should be: attachment; filename="filename.ext"

content-digest
required
string
Example: sha-256=:base64-value:

The Content-Digest header contains a SHA-256 hash of the content, used to verify its integrity and ensure that the data has not been tampered with during transmission. The hash value must be encoded in base64 format.

content-type
required
string
Example: application/pdf

The MIME type of the file being uploaded.

Request Body schema:
required

Upload a binary file (e.g., image, document).

object (Archive.Direct)

Responses

Request samples

Content type
{ }

Response samples

Content type
{ }

AuditLog

Retrieves the collection of AuditLog resources.

Retrieves the collection of AuditLog resources.

Authorizations:
JWT
path Parameters
objectId
required
string

AuditLog identifier

query Parameters
page
integer
Default: 1

The collection page number

Responses

Response samples

Content type
[
  • {
    }
]

File

Download archived file

Returns any binary file (PDF, image, zip...)

Authorizations:
JWT
path Parameters
objectId
required
string

File identifier

Responses

Response samples

Content type
application/json
{
  • "status": 0,
  • "code": "string",
  • "title": "string",
  • "traceId": "string"
}

Creates a File resource.

Creates a File resource.

Authorizations:
JWT
path Parameters
objectId
required
string

File identifier

header Parameters
content-disposition
required
string
Example: attachment; filename="filename.ext"

The Content-Disposition header specifying how the content should be handled. Mapped to the object field File.Name. Format should be: attachment; filename="filename.ext"

content-digest
required
string
Example: sha-256=:base64-value:

The Content-Digest header contains a SHA-256 hash of the content, used to verify its integrity and ensure that the data has not been tampered with during transmission. The hash value must be encoded in base64 format.

content-type
required
string
Example: application/pdf

The MIME type of the file being uploaded.

Request Body schema: */*
required

Upload a binary file (e.g., image, document).

object (File)

Responses

Response samples

Content type
application/json
{
  • "status": 0,
  • "code": "string",
  • "title": "string",
  • "traceId": "string"
}

Report

Retrieves a Report resource.

Retrieves a Report resource.

Authorizations:
JWT
path Parameters
objectId
required
string

Report identifier

query Parameters
timezone
string
Example: timezone=Europe/Vilnius

IANA timezone used to display report dates and times.

Responses

Response samples

Content type
{ }